Subject: Re: [PATCH] net: usb: lan78xx: add weak dependency with micrel phy module

From: Jakub Kicinski <[email-masked]>
Date: Fri, 26 Jul 2024 07:49:25 -0700

On Thu, 25 Jul 2024 00:57:05 +0200 Andrew Lunn wrote:
> Maybe a better solution is to first build an initramfs with
> everything, plus the kitchen sink. Boot it, and then look at what has
> been loaded in order to get the rootfs mounted. Then update the
> initramfs with just what is needed? That should be pretty generic,
> with throw out networking ig NFS root is not used, just load JFFS2 and
> a NAND driver if it was used for the rootfs, etc.

Sorry for a dumb question from the audience but how does this work 
for PCI devices? We don't worry about what drivers may be needed
because there's no "fallback / generic" driver?
For MDIO are the ID registers too complicated to expose to user space
and let it match the drivers using modinfo (avoiding the need to boot
a kitchen sink kernel)?